Module jdk.jdi
Package com.sun.jdi.event

## Interface ModificationWatchpointEvent

All Superinterfaces:
  `Event`, `Locatable`, `LocatableEvent`, `Mirror`, `WatchpointEvent`

    public interface ModificationWatchpointEvent
    extends WatchpointEvent

Notification of a field modification in the target VM.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`, `ModificationWatchpointRequest`

### Method Summary

All Methods Instance Methods Abstract Methods
`Value` `valueToBe()` Value that will be assigned to the field when the instruction completes.

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Locatable

`location`

### Methods declared in interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods declared in interface com.sun.jdi.event.WatchpointEvent

`field, object, valueCurrent`

### Method Detail

#### valueToBe

    Value valueToBe()

Value that will be assigned to the field when the instruction completes.